Qbs Manual

Qbs 1.13.1

QtGuiApplication ◦ XPCService

# StaticLibrary QML Type

Static library. More...

Import Statement: | import QbsConvenienceItems .
Inherits: | Product

- List of all members, including inherited members

## Properties

- install : bool
- installDir : string

## Detailed Description

A StaticLibrary item is a product of the type `"staticlibrary"`.

## Property Documentation

install : bool

If `true`, the library will be installed to installDir.

Default: `false`

This QML property was introduced in Qbs 1.13.

installDir : string

Where to install the library, if install is enabled.

The value is appended to qbs.installPrefix when constructing the actual installation directory.

Default: `Library/Frameworks` if the library is a bundle, `lib` otherwise.

This QML property was introduced in Qbs 1.13.

QtGuiApplication ◦ XPCService